# Created by pyp2rpm-3.3.2
%global pypi_name check_manifest
%global short_name check-manifest
%bcond_with check

Name:           python-%{short_name}
Version:        0.50
Release:        %mkrel 2
Summary:        Check MANIFEST.in in a Python source package for completeness
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/check-manifest/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(setuptools-scm-git-archive)

%description
Are you a Python developer? Have you uploaded packages to the Python Package
Index? Have you accidentally uploaded broken packages with some files
missing? If so, check-manifest is for you.

%package -n     python3-%{short_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{short_name}}

Requires:       python3dist(mock)
Requires:       python3dist(setuptools)

%description -n python3-%{short_name}
Are you a Python developer? Have you uploaded packages to the Python Package
Index? Have you accidentally uploaded broken packages with some files
missing? If so, check-manifest is for you.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files check_manifest

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{short_name} -f %{pyproject_files}
%license LICENSE.rst
%doc README.rst
%{_bindir}/check-manifest


%changelog
* Fri Dec 27 2024 papoteur <papoteur> 0.50-2.mga10
+ Revision: 2130408
- add and use pytest

* Mon Dec 16 2024 papoteur <papoteur> 0.50-1.mga10
+ Revision: 2125621
- new version 0.50

* Tue Dec 19 2023 daviddavid <daviddavid> 0.49-2.mga10
+ Revision: 2019797
- rebuild for py3.12

* Sat Sep 09 2023 papoteur <papoteur> 0.49-1.mga10
+ Revision: 1985456
- new 0.49

* Mon Sep 05 2022 papoteur <papoteur> 0.48-1.mga9
+ Revision: 1884332
- new 0.48

* Fri Mar 25 2022 umeabot <umeabot> 0.46-3.mga9
+ Revision: 1825603
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 tv <tv> 0.46-2.mga9
+ Revision: 1774487
- Rebuild for python-3.10

* Mon Mar 15 2021 wally <wally> 0.46-1.mga9
+ Revision: 1703291
- rebuild for python 3.9

* Sun Nov 22 2020 guillomovitch <guillomovitch> 0.45-1.mga8
+ Revision: 1648486
- new version 0.45

* Tue May 19 2020 wally <wally> 0.42-1.mga8
+ Revision: 1586200
- new version 0.42

* Sat Feb 29 2020 wally <wally> 0.41-1.mga8
+ Revision: 1552134
- new version 0.41

* Sun Feb 16 2020 umeabot <umeabot> 0.37-5.mga8
+ Revision: 1531498
- Mageia 8 Mass Rebuild

* Fri Sep 13 2019 tv <tv> 0.37-4.mga8
+ Revision: 1440383
- really rebuild for python-3.8

* Wed Sep 11 2019 tv <tv> 0.37-3.mga8
+ Revision: 1439644
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jan 07 2019 shlomif <shlomif> 0.37-2.mga7
+ Revision: 1351022
- Rebuild for python3 3.7

* Sun Oct 07 2018 wally <wally> 0.37-1.mga7
+ Revision: 1318497
- imported package python-check-manifest

